<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.citygis.web.mapper.TabAccessReadyMapper">

    <select id="list" resultType="com.citygis.web.domain.TabAccessReady"
            parameterType="com.citygis.web.domain.TabAccessReady">
        select id, PERSION,PHONE,DATA_ACCESS_TYPE,STATUS,IS_APPLY from LIU_TONG_YI.TAB_ACCESS_READY
        <where>
            <if test="states != null">
                STATUS in
                <foreach collection="states" item="status" open="(" separator="," close=")">
                    #{status}
                </foreach>
            </if>
        </where>
    </select>

</mapper>
